/* GOOGLE FONT */
html{
    scroll-behavior: smooth;
}

*{
    margin:0;
    padding:0;
    box-sizing:border-box;
    font-family:'Poppins',sans-serif;
}

body{
    background:#ffffff;
    color:#222;
    line-height:1.6;
}

/* HEADER */
header{
    position:fixed;
    top:0;
    left:0;
    width:100%;
    background:#111;
    display:flex;
    justify-content:space-between;
    align-items:center;
    padding:18px 8%;
    z-index:1000;
}

.logo h2{
    color:#fff;
}

.logo span{
    color:#c89b3c;
}

nav ul{
    display:flex;
    list-style:none;
}

nav ul li{
    margin-left:30px;
}

nav ul li a{
    text-decoration:none;
    color:#fff;
    font-weight:500;
    transition:.3s;
}

nav ul li a:hover{
    color:#c89b3c;
}

.menu-btn{
    display:none;
    color:#fff;
    font-size:28px;
    cursor:pointer;
}

/* HERO */
.hero{
    height:100vh;
    background:linear-gradient(rgba(0,0,0,.65),rgba(0,0,0,.65)),
    url("../images/hero.jpg") center/cover;
    display:flex;
    align-items:center;
    padding:0 8%;
}

.hero-content{
    max-width:650px;
    color:#fff;
}

.hero h4{
    color:#c89b3c;
    margin-bottom:10px;
}

.hero h1{
    font-size:60px;
    line-height:1.2;
    margin-bottom:20px;
}

.hero p{
    margin-bottom:35px;
    font-size:18px;
}

.buttons{
    display:flex;
    gap:15px;
}

.btn,
.btn2{
    text-decoration:none;
    padding:14px 32px;
    border-radius:5px;
    transition:.3s;
}

.btn{
   background:linear-gradient(45deg,#b8860b,#FFD700,#c89b3c);
background-size:300%;
color:white;
padding:15px 35px;
border-radius:40px;
text-decoration:none;
transition:.5s;
font-weight:600;
}


.btn:hover{
    background-position:right;
transform:translateY(-5px);
box-shadow:0 15px 30px rgba(200,155,60,.5);
}


.btn2{
    border:2px solid #c89b3c;
    color:#fff;
}

.btn2:hover{
    background:#c89b3c;
}

/* FEATURES */
.features{
    padding:80px 8%;
    display:grid;
    grid-template-columns:repeat(4,1fr);
    gap:25px;
    background:#fafafa;
}

.feature{
    text-align:center;
    padding:30px;
    background:#fff;
    border-radius:10px;
    box-shadow:0 5px 20px rgba(0,0,0,.08);
}

.feature i{
    font-size:42px;
    color:#c89b3c;
    margin-bottom:15px;
}

.feature h3{
    margin-bottom:10px;
}

/* PRODUCTS */
.products{
    padding:90px 8%;
}

.products h2{
    text-align:center;
    margin-bottom:50px;
    font-size:36px;
}

.product-grid{
    display:grid;
    grid-template-columns:repeat(auto-fit,minmax(250px,1fr));
    gap:30px;
}

.card{
    background:#fff;
    border-radius:10px;
    overflow:hidden;
    box-shadow:0 8px 25px rgba(0,0,0,.1);
    transition:.3s;
}

.card:hover{
    transform:translateY(-10px);
}

.card img{
    width:100%;
    height:220px;
    object-fit:cover;
}

.card h3{
    padding:20px;
    text-align:center;
}

/* FOOTER */
footer{
    background:#111;
    color:#fff;
    text-align:center;
    padding:40px 20px;
}

footer h2{
    color:#c89b3c;
    margin-bottom:15px;
}

.footer-grid{
display:grid;
grid-template-columns:repeat(auto-fit,minmax(250px,1fr));
gap:40px;
padding-bottom:40px;
}

footer a{
display:block;
color:#ccc;
margin:10px 0;
text-decoration:none;
}

footer a:hover{
color:#FFD700;
}

footer .container{
    max-width: 1200px;
    margin: 0 auto;
}

/* RESPONSIVE */
@media(max-width:992px){

.features{
grid-template-columns:repeat(2,1fr);
}

.hero h1{
font-size:45px;
}

}

@media(max-width:768px){
.menu-btn{
display:block;
}

nav{
position:absolute;
top:75px;
left:-100%;
width:100%;
background:#111;
transition:.4s;
}

nav.active{
left:0;
}

nav ul{
flex-direction:column;
padding:20px;
}

nav ul li{
margin:18px 0;
}

.features{
grid-template-columns:1fr;
}

.hero h1{
font-size:36px;
}

.buttons{
flex-direction:column;
}

}

/* ABOUT */
.about{
background-color: #c2baba;
color: #ccc;
display:grid;
grid-template-columns:1fr 1fr;
gap:60px;
padding:100px 8%;
align-items:center;
}

.about-image img{
    width: 300px;
    max-width: 100px;
    height: auto;
}
.about img{
width:10%;
border-radius:5px;
}

.about h5{
color:#ce981c;
margin-bottom:10px;
}

.about h2{
margin-bottom:20px;
font-size:40px;
}

.about p{
margin-bottom:25px;
}

/* STATS */
.stats{
background:#111;
color:#fff;
padding:80px 8%;
display:grid;
grid-template-columns:repeat(4,1fr);
text-align:center;
}

.stat-box h2{
font-size:50px;
color:#c89b3c;
}

/* INDUSTRIES */
.industries{
padding:100px 8%;
text-align:center;
}

.industry-grid{
margin-top:50px;
display:grid;
grid-template-columns:repeat(auto-fit,minmax(250px,1fr));
gap:25px;
}

.industry-card{
padding:40px;
background:#fff;
border-radius:10px;
box-shadow:0 5px 20px rgba(0,0,0,.08);
transition:.3s;
}

.industry-card:hover{
transform:translateY(-10px);
}

.industry-card i{
font-size:45px;
color:#c89b3c;
margin-bottom:15px;
}

/* QUALITY */
.quality{
background:#0f0f0f;
color:#fff;
padding:100px 8%;
}

.quality h5{
color:#c89b3c;
margin-bottom:10px;
}

.quality h2{
margin-bottom:20px;
}

.quality ul{
margin-top:20px;
list-style:none;
}

.quality li{
margin-bottom:10px;
}

/* SLIDER */
.slider{
height:500px;
overflow:hidden;
position:relative;
}

.slide{
position:absolute;
width:100%;
height:100%;
object-fit:cover;
opacity:0;
transition:1s;
}

.slide.active{
opacity:1;
}

/* NEWS */
.news{
padding:100px 8%;
}

.news h2{
text-align:center;
margin-bottom:50px;
}

.news-grid{
display:grid;
grid-template-columns:repeat(auto-fit,minmax(300px,1fr));
gap:30px;
}

.news-card{
background:#fff;
box-shadow:0 5px 20px rgba(0,0,0,.08);
border-radius:10px;
overflow:hidden;
}

.news-card img{
width:100%;
height:220px;
object-fit:cover;
}

.news-card h3,
.news-card p{
padding:15px;
}

/* CONTACT */
.contact{
padding:100px 8%;
display:grid;
grid-template-columns:1fr 1fr;
gap:40px;
}

.contact form{
display:flex;
flex-direction:column;
gap:15px;
}

.contact input,
.contact textarea{
padding:15px;
border:1px solid #ddd;
border-radius:5px;
}

.contact iframe{
width:100%;
height:100%;
min-height:450px;
border:none;
}

/* TOP BUTTON */
#topBtn{
position:fixed;
right:20px;
bottom:20px;
width:50px;
height:50px;
border:none;
background:#c89b3c;
color:#fff;
font-size:18px;
border-radius:50%;
cursor:pointer;
display:none;
z-index:999;
}

/* ANIMATION */
.reveal{
opacity:0;
transform:translateY(80px);
transition:1s;
}

.reveal.active{
opacity:1;
transform:translateY(0);
}

@media(max-width:768px){
.about,
.contact{
grid-template-columns:1fr;
}

.stats{
grid-template-columns:repeat(2,1fr);
gap:30px;
}

}

/* LOADER */
#loader{
position:fixed;
top:0;
left:0;
width:100%;
height:100%;
background:#111;
display:flex;
justify-content:center;
align-items:center;
z-index:99999;
transition:1s;
}
.loader-logo{
text-align:center;
color:white;
}
.loader-logo span{
color:#c89b3c;
}
.loading-bar{
width:260px;
height:6px;
background:#333;
margin-top:25px;
overflow:hidden;
border-radius:20px;
}
.loading{
width:0;
height:100%;
background:#c89b3c;
animation:loading 2s linear forwards;
}
@keyframes loading{
100%{
width:100%;
}
}

/*WHATSAPP*/
.whatsapp{
position:fixed;
left:20px;
bottom:20px;
width:60px;
height:60px;
background:#25D366;
border-radius:50%;
display:flex;
justify-content:center;
align-items:center;
color:white;
font-size:30px;
text-decoration:none;
box-shadow:0 8px 20px rgba(0,0,0,.3);
animation:float 2s infinite;
z-index:999;
}
@keyframes float{
50%{
transform:translateY(-10px);
}
}

/*NEWSLATTER*/
.newsletter{
padding:80px 20px;
background:#111;
color:white;
text-align:center;
margin: 0;
box-sizing: border-box;
}

.newsletter form{
margin-top:30px;
display:flex;
justify-content:center;
gap:15px;
flex-wrap:wrap;
}
.newsletter input{
padding:16px;
width:350px;
border:none;
border-radius:6px;
}
.newsletter button{
border:none;
cursor:pointer;
}

.newsletter .container{
    max-width: 1200px;
    margin: 0 auto;
    text-align: center;
}

/*PROGRESS-BAR*/
#progress-bar{
position:fixed;
top:0;
left:0;
height:4px;
width:0%;
background:linear-gradient(90deg,#FFD700,#c89b3c,#FFD700);
z-index:999999;
}

/* SEARCH BAR */

.search-form{
display:flex;
align-items:center;
margin-left:20px;
}

.search-form input{
width:180px;
padding:8px 12px;
border:none;
border-radius:25px 0 0 25px;
outline:none;
}

.search-form button{
padding:8px 15px;
border:none;
background:#FFD700;
color:#111;
cursor:pointer;
border-radius:0 25px 25px 0;
}

.search-form button:hover{
background:#c89b3c;
}

/* LOGIN BUTTON */

.login-btn{
background:linear-gradient(45deg,#B8860B,#FFD700,#C89B3C);
padding:10px 20px;
border-radius:30px;
color:#111;
font-weight:600;
text-decoration:none;
transition:.3s;
margin-left:20px;
}

.login-btn:hover{
transform:translateY(-3px);
box-shadow:0 8px 20px rgba(255,215,0,.4);
}